Bug 1175804 - RFE - support non-anonymous direct exchange for goferd/pulp consumer actions
Summary: RFE - support non-anonymous direct exchange for goferd/pulp consumer actions
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: consumers
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks: 1175803
TreeView+ depends on / blocked
 
Reported: 2014-12-18 15:52 UTC by Stephen Benjamin
Modified: 2015-02-28 23:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:21:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 285 None None None Never

Description Stephen Benjamin 2014-12-18 15:52:08 UTC
For Satellite 6, we need to be able to route all client communication through the capsule to the consumer's gofoerd agent. Currently this communication happens on an anonymous topic exchange, which is not routeable in qpid.

goferd/pulp will need to support a named topic exchange in order to enable this routing.

Comment 1 Michael Hrivnak 2014-12-18 18:13:50 UTC
To clarify, gofer and pulp use a direct exchange, not a topic exchange. We will proceed with this RFE assuming that's what you meant.

Comment 2 Stephen Benjamin 2014-12-19 08:26:46 UTC
Yes, sorry, it should be a named direct exchange.

Comment 3 Jeff Ortel 2015-01-14 15:47:46 UTC
Supported in Gofer 2.4 which is included in Pulp 2.6 beta 4.  But, still not supported by Pulp.

Comment 4 Brian Bouterse 2015-02-19 01:21:16 UTC
Moved to https://pulp.plan.io/issues/285


Note You need to log in before you can comment on or make changes to this bug.